Сайт | Скачать | Видео | Wiki

Автор Тема: PRA-roll 2008. Проблемы после обновления glibc  (Прочитано 4675 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10737
  • Репутация: +113/-2
  • Автор темы
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #30 : 14 Февраль 2021, 16:52:22 »
В итоге - если оба обновить до этих
Ссыль.
версий - проблема уходит?
Побочек не обнаружено?
он не проверит, а я не смог обновиться.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 5341
  • Репутация: +139/-1
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #31 : 14 Февраль 2021, 17:00:30 »
я не смог обновиться
Как это было:
1. Загрузился в de-xfce c base_only (не думаю что это так уж важно)
2. Изменил срез на текущий день (/etc/pacman.d/mirrorlist), затем pacman -Syy
3. Установил glibc, затем locale-gen
4. При установке systemd ошибка libxcrypt. Удалил этот файл (libxcrypt.h вроде). Повторная успешная установка systemd.


А вот был бы выбор консоли в menu.lst, было бы еще удобней под виртом. :)


p.s. Без glibc были 2 ошибки libxcrypt. И во второй как раз и писалось что-то про GLIBC, так что я не долго думая накатил его.
« Последнее редактирование: 14 Февраль 2021, 17:05:22 от krasnyh »

Оффлайн knn

  • Ветеран
  • *****
  • Сообщений: 2556
  • Репутация: +33/-0
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #32 : 14 Февраль 2021, 17:13:59 »
А вот был бы выбор консоли в menu.lst, ...
имхо, - в консоли еще "порядок" нужен (идеальные консоли днем с огнем искать надо. :) нет предела совешенству... да на консоли по сборкам вроде упора особого не наблюдается  ... )
« Последнее редактирование: 14 Февраль 2021, 17:15:53 от knn »
Gr4D, Grub2; HP Mini 210 VT - Intel Atom N470  @ 1.83GHz, Intel GMA3150, RAM=2 ГБ ;
Sams-n110: N270 - 1,6 ГГц, Intel GMA 950, RAM=2 ГБ.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 5341
  • Репутация: +139/-1
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #33 : 14 Февраль 2021, 17:16:27 »
У меня всего лишь 4GB памяти, а не 6-8 как у некоторых. И забивать вирт иксами там, где это не надо... зачем.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 34003
  • Репутация: +231/-0
    • PuppyRus-A
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #34 : 14 Февраль 2021, 17:18:54 »
2. Изменил срез на текущий день
Плохая идея. Если кроме glibc и systemd еще пакеты прилетели - лучше попробовать перекомпилить systemd под 2008 срезом : asp export systemd
был бы выбор консоли в menu.lst
https://forum.puppyrus.org/index.php?topic=15217.msg85787#msg85787
или uird + qse

Оффлайн knn

  • Ветеран
  • *****
  • Сообщений: 2556
  • Репутация: +33/-0
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #35 : 14 Февраль 2021, 17:28:27 »
https://forum.puppyrus.org/index.php?topic=15217.msg85787#msg85787
- хоть и пока смутно понимаю, но то вроде в моем представлении -  "действительная начальная консоль"
( линк по теме  -  ........)
----------
- и интересно( мне хотябы) , и еще поточнее разбираться надо/ознакамливаться ...
Gr4D, Grub2; HP Mini 210 VT - Intel Atom N470  @ 1.83GHz, Intel GMA3150, RAM=2 ГБ ;
Sams-n110: N270 - 1,6 ГГц, Intel GMA 950, RAM=2 ГБ.

Оффлайн betcher

  • Ветеран
  • *****
  • Сообщений: 3019
  • Репутация: +35/-0
    • MagOS linux
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #36 : 14 Февраль 2021, 17:28:31 »
У меня всего лишь 4GB памяти, а не 6-8 как у некоторых. И забивать вирт иксами там, где это не надо... зачем.
Я не понял к чему вы. Но. У меня на ноуте сдохла планка 4гб, осталось всего 4. И в qemu под магос еще одна магос-подобная сборка вполне запускается. Для чрута вообще проблем нет.
« Последнее редактирование: 14 Февраль 2021, 17:30:50 от betcher »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 5341
  • Репутация: +139/-1
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #37 : 14 Февраль 2021, 17:32:53 »
Если кроме glibc и systemd еще пакеты прилетели
glibc systemd libxcrypt (зависимость)


Задачей стояло проверить возможность успешного обновления systemd в prar2008.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 5341
  • Репутация: +139/-1
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #38 : 14 Февраль 2021, 17:36:55 »
Я не понял к чему вы.
После знакомства с IceArch я себя органично чувствую в консоли. И многие задачи, стоящие передо мной, когда я запускаю сборки форума в вирте, не требуют запущенных X, так почему бы и нет.
А насчет памяти, у меня в параллель запущены - firefox, пазлТВ ... плюс еще и виртуалка.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 34003
  • Репутация: +231/-0
    • PuppyRus-A
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #39 : 14 Февраль 2021, 18:16:07 »
libxcrypt
В арчрепе 2008 такого пакета еще нет. Значит он никому и не помешает

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 5341
  • Репутация: +139/-1
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #40 : 14 Февраль 2021, 18:26:37 »
Только что Pro написал выше, что не получается обновиться. Мой же способ успешный. У sfs только теория, как должно быть. Но не будет без libxcrypt.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 34003
  • Репутация: +231/-0
    • PuppyRus-A
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #41 : 14 Февраль 2021, 18:41:10 »
Изменил срез на текущий день
Для 3х пакетов перебор
Достаточно было pacman-arm systemd
dep-find  systemd-247.3-1-x86_64
Кстати Вы не упомянули # dep-find -f systemd-247.3-1-x86_64 |grep libmicrohttp -B 2
/usr/lib/systemd/systemd-journal-remote
   libmicrohttpd.so.12 => not found
А libxcrypt-4.4.17-1-x86_64.pkg.tar.zst - раньше был в glibc. Надо будет его не забыть при обновлении...